> ## Documentation Index
> Fetch the complete documentation index at: https://docs.passage.coinlist.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke token

> Revokes an access or refresh token.



## OpenAPI

````yaml /api-reference/openapi.json post /oauth/revoke
openapi: 3.0.0
info:
  title: Frontline API
  version: 0.1.0
servers:
  - url: https://api.coinlist.co
    variables: {}
security: []
tags:
  - name: DocumentSubmissions
  - name: KYC
  - name: OAuth
  - name: Offers
  - name: Participations
  - name: Pii
  - name: Requirements
  - name: Swap
  - name: Token
  - name: Wallet
  - name: Wallet Ownership
paths:
  /oauth/revoke:
    post:
      tags:
        - OAuth
      summary: Revoke token
      description: Revokes an access or refresh token.
      operationId: FrontlineAPIWeb.Oauth.RevokeController.OpenApiSpec.revoke
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              properties:
                client_id:
                  description: The client identifier.
                  example: 550e8400-e29b-41d4-a716-446655440000
                  type: string
                  x-struct: null
                  x-validate: null
                client_secret:
                  description: The client secret.
                  example: my-client-secret
                  type: string
                  x-struct: null
                  x-validate: null
                token:
                  description: The token to revoke.
                  example: eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...
                  type: string
                  x-struct: null
                  x-validate: null
              required:
                - token
              type: object
              x-struct: null
              x-validate: null
        description: Revoke request params
        required: false
      responses:
        '200':
          content:
            application/json: {}
          description: Token revoked successfully.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OauthError'
          description: OAuth error response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OauthError'
          description: OAuth error response
      callbacks: {}
      security: []
components:
  schemas:
    OauthError:
      additionalProperties: false
      properties:
        error:
          description: OAuth error code
          type: string
          x-struct: null
          x-validate: null
        error_description:
          description: Human-readable error description
          type: string
          x-struct: null
          x-validate: null
      required:
        - error
        - error_description
      title: OauthError
      type: object
      x-struct: Elixir.FrontlineAPIWeb.OpenApi.Oauth.Schemas.OauthError
      x-validate: null

````